/[gentoo-x86]/media-video/vlc/vlc-9999.ebuild
Gentoo

Contents of /media-video/vlc/vlc-9999.ebuild

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.36 - (hide annotations) (download)
Fri Aug 21 10:11:40 2009 UTC (8 years, 3 months ago) by aballier
Branch: MAIN
Changes since 1.35: +3 -2 lines
Require new enough glibc version when its the C library in use, older versions may cause vlc to crash, bug #282105
(Portage version: 2.2_rc38/cvs/Linux x86_64)

1 aballier 1.1 # Copyright 1999-2009 Gentoo Foundation
2     # Distributed under the terms of the GNU General Public License v2
3 aballier 1.36 # $Header: /var/cvsroot/gentoo-x86/media-video/vlc/vlc-9999.ebuild,v 1.35 2009/08/21 10:05:31 aballier Exp $
4 aballier 1.1
5 aballier 1.22 EAPI="2"
6 aballier 1.1
7     SCM=""
8     if [ "${PV%9999}" != "${PV}" ] ; then
9     SCM=git
10     EGIT_REPO_URI="git://git.videolan.org/vlc.git"
11     EGIT_BOOTSTRAP="bootstrap"
12     if [ "${PV%.9999}" != "${PV}" ] ; then
13     EGIT_BRANCH=${PV%.9999}-bugfix
14     else
15     EGIT_BRANCH=master
16     fi
17     fi
18    
19     inherit eutils multilib autotools toolchain-funcs gnome2 nsplugins qt4 flag-o-matic ${SCM}
20    
21     MY_PV="${PV/_/-}"
22     MY_PV="${MY_PV/-beta/-test}"
23     MY_P="${PN}-${MY_PV}"
24     VLC_SNAPSHOT_TIME="0013"
25    
26 aballier 1.25 PATCHLEVEL="68"
27 aballier 1.1 M4_TARBALL_VERSION="1"
28     DESCRIPTION="VLC media player - Video player and streamer"
29     HOMEPAGE="http://www.videolan.org/vlc/"
30     if [ "${PV%9999}" != "${PV}" ] ; then # Live ebuild
31     SRC_URI=""
32     elif [[ "${P}" == *_alpha* ]]; then # Snapshots taken from nightlies.videolan.org
33     SRC_URI="http://nightlies.videolan.org/build/source/trunk-${PV/*_alpha/}-${VLC_SNAPSHOT_TIME}/${PN}-snapshot-${PV/*_alpha/}.tar.bz2"
34     MY_P="${P/_alpha*/}-git"
35     elif [[ "${MY_P}" == "${P}" ]]; then
36     SRC_URI="http://download.videolan.org/pub/videolan/${PN}/${PV}/${P}.tar.bz2"
37     else
38     SRC_URI="http://download.videolan.org/pub/videolan/testing/${MY_P}/${MY_P}.tar.bz2"
39     fi
40    
41     SRC_URI="${SRC_URI}
42     mirror://gentoo/${PN}-patches-${PATCHLEVEL}.tar.bz2
43     mirror://gentoo/${PN}-m4-${M4_TARBALL_VERSION}.tar.bz2"
44    
45     LICENSE="GPL-2"
46     SLOT="0"
47    
48     KEYWORDS=""
49     IUSE="a52 aac aalib alsa altivec atmo avahi bidi cdda cddax cddb cdio dbus dc1394
50 aballier 1.36 debug dirac directfb dts dvb dvd elibc_glibc fbcon fluidsynth +ffmpeg flac fontconfig
51 aballier 1.18 +gcrypt ggi gnome gnutls hal httpd id3tag ieee1394 jack kate libass libcaca
52     libnotify libproxy libsysfs libtiger libv4l2 lirc live lua matroska mmx
53     modplug mp3 mpeg mtp musepack ncurses nsplugin ogg opengl optimisememory oss
54 aballier 1.21 pda png projectm pulseaudio pvr +qt4 remoteosd rtsp run-as-root samba
55     schroedinger sdl sdl-image seamonkey shine shout skins speex sse stream
56     svg svga taglib theora truetype twolame upnp v4l v4l2 vcdinfo vcdx vlm
57 aballier 1.32 vorbis win32codecs wma-fixed X x264 xcb xml xosd xv zvbi"
58 aballier 1.1
59     RDEPEND="
60 aballier 1.24 !!<=media-video/vlc-1.0.99999
61 aballier 1.1 sys-libs/zlib
62 aballier 1.20 >=media-libs/libdvbpsi-0.1.6
63 aballier 1.1 a52? ( >=media-libs/a52dec-0.7.4-r3 )
64     aalib? ( media-libs/aalib )
65     aac? ( >=media-libs/faad2-2.6.1 )
66     alsa? ( media-libs/alsa-lib )
67     avahi? ( >=net-dns/avahi-0.6 )
68     bidi? ( >=dev-libs/fribidi-0.10.4 )
69     cdda? ( cddb? ( >=media-libs/libcddb-1.2.0 ) )
70     cddax? ( cddb? ( >=media-libs/libcddb-1.2.0 ) )
71     cdio? ( >=dev-libs/libcdio-0.78.2 )
72     dbus? ( >=sys-apps/dbus-1.0.2 )
73 aballier 1.18 dc1394? ( >=sys-libs/libraw1394-2.0.1
74     >=media-libs/libdc1394-2.0.2 )
75 aballier 1.1 dirac? ( >=media-video/dirac-0.10.0 )
76     directfb? ( dev-libs/DirectFB )
77     dts? ( media-libs/libdca )
78     dvd? ( media-libs/libdvdread
79     media-libs/libdvdcss
80     >=media-libs/libdvdnav-0.1.9
81     media-libs/libdvdplay )
82 aballier 1.36 elibc_glibc? ( >=sys-libs/glibc-2.8 )
83 aballier 1.1 ffmpeg? ( >=media-video/ffmpeg-0.4.9_p20090201 )
84     flac? ( media-libs/libogg
85     >=media-libs/flac-1.1.2 )
86     fluidsynth? ( media-sound/fluidsynth )
87     fontconfig? ( media-libs/fontconfig )
88 pva 1.16 gcrypt? ( >=dev-libs/libgcrypt-1.2.0 )
89 aballier 1.1 ggi? ( media-libs/libggi )
90     gnome? ( gnome-base/gnome-vfs )
91 aballier 1.8 gnutls? ( >=net-libs/gnutls-1.7.4 )
92 aballier 1.1 hal? ( sys-apps/hal )
93     id3tag? ( media-libs/libid3tag
94     sys-libs/zlib )
95 aballier 1.18 ieee1394? ( >=sys-libs/libraw1394-2.0.1 >=sys-libs/libavc1394-0.5.3 )
96 aballier 1.1 jack? ( >=media-sound/jack-audio-connection-kit-0.99.0-r1 )
97     kate? ( >=media-libs/libkate-0.1.1 )
98 aballier 1.31 libass? ( >=media-libs/libass-0.9.6 media-libs/fontconfig )
99 aballier 1.1 libcaca? ( media-libs/libcaca )
100     libnotify? ( x11-libs/libnotify )
101 aballier 1.13 libproxy? ( net-libs/libproxy )
102 aballier 1.1 libsysfs? ( sys-fs/sysfsutils )
103 aballier 1.17 libtiger? ( media-libs/libtiger )
104 aballier 1.1 lirc? ( app-misc/lirc )
105     live? ( >=media-plugins/live-2008.07.06 )
106     lua? ( >=dev-lang/lua-5.1 )
107     matroska? (
108     >=dev-libs/libebml-0.7.6
109     >=media-libs/libmatroska-0.8.0 )
110     modplug? ( media-libs/libmodplug )
111     mp3? ( media-libs/libmad )
112     mpeg? ( >=media-libs/libmpeg2-0.3.2 )
113     mtp? ( >=media-libs/libmtp-0.3.0 )
114 ssuominen 1.27 musepack? ( || ( >=media-sound/musepack-tools-444
115     media-libs/libmpcdec ) )
116 aballier 1.1 ncurses? ( sys-libs/ncurses )
117     nsplugin? (
118     seamonkey? ( =www-client/seamonkey-1* )
119     !seamonkey? ( >=net-libs/xulrunner-1.8 )
120     )
121     ogg? ( media-libs/libogg )
122     pda? ( x11-libs/gtk+:2 )
123     png? ( media-libs/libpng )
124 aballier 1.21 projectm? ( media-libs/libprojectm )
125 aballier 1.9 pulseaudio? ( >=media-sound/pulseaudio-0.9.11 )
126 aballier 1.35 qt4? ( x11-libs/qt-gui:4 x11-libs/qt-core:4 x11-libs/libX11 )
127 aballier 1.1 remoteosd? ( >=dev-libs/libgcrypt-1.2.0 )
128     samba? ( net-fs/samba )
129 aballier 1.12 schroedinger? ( >=media-libs/schroedinger-1.0.6 )
130 aballier 1.1 sdl? ( >=media-libs/libsdl-1.2.8
131     sdl-image? ( media-libs/sdl-image ) )
132     shout? ( media-libs/libshout )
133 aballier 1.35 skins? ( x11-libs/qt-gui:4 x11-libs/qt-core:4 x11-libs/libXext x11-libs/libX11 )
134 aballier 1.1 speex? ( media-libs/speex )
135     svg? ( >=gnome-base/librsvg-2.9.0 )
136     svga? ( media-libs/svgalib )
137 aballier 1.3 taglib? ( >=media-libs/taglib-1.5 )
138 aballier 1.6 theora? ( >=media-libs/libtheora-1.0_beta3 )
139 aballier 1.1 truetype? ( media-libs/freetype
140 aballier 1.25 media-fonts/dejavu )
141 aballier 1.1 twolame? ( media-sound/twolame )
142     upnp? ( net-libs/libupnp )
143     v4l2? ( libv4l2? ( media-libs/libv4l ) )
144     vcdinfo? ( >=media-video/vcdimager-0.7.22 )
145     vorbis? ( media-libs/libvorbis )
146     win32codecs? ( media-libs/win32codecs )
147     X? (
148     x11-libs/libX11
149 aballier 1.34 opengl? ( virtual/opengl x11-libs/libXext )
150 aballier 1.1 )
151     x264? ( media-libs/x264 )
152 aballier 1.2 xcb? ( x11-libs/libxcb x11-libs/xcb-util )
153 aballier 1.1 xml? ( dev-libs/libxml2 )
154     xosd? ( x11-libs/xosd )
155     zvbi? ( >=media-libs/zvbi-0.2.25 )
156     "
157    
158     # Disabled features and reasons:
159     # xvmc? ( x11-libs/libXvMC )
160     # Will probably compile only on x86
161    
162     DEPEND="${RDEPEND}
163     dvb? ( sys-kernel/linux-headers )
164     v4l? ( sys-kernel/linux-headers )
165 aballier 1.28 v4l2? ( >=sys-kernel/linux-headers-2.6.25 )
166 aballier 1.2 xcb? ( x11-proto/xproto )
167 aballier 1.1 dev-util/pkgconfig"
168    
169     S="${WORKDIR}/${MY_P}"
170    
171 aballier 1.5 # Displays a warning if the first use flag is set but the second is not
172 aballier 1.1 vlc_use_needs() {
173     use $1 && use !$2 && ewarn "USE=$1 requires $2, $1 will be disabled."
174     }
175    
176     # Notify the user that some useflag have been forced on
177     vlc_use_force() {
178     use $1 && use !$2 && ewarn "USE=$1 requires $2, $2 will be enabled."
179     }
180    
181     # Use when $2 depends strictly on $3
182     # if use $1 then enable $2 and $3, otherwise disable $2
183     vlc_use_enable_force() {
184     if use $1 ; then
185     echo "--enable-$2 --enable-$3"
186     else
187     echo "--disable-$2"
188     fi
189     }
190    
191     pkg_setup() {
192 aballier 1.23 if has_version '<=media-video/vlc-1.0.99999'; then
193     eerror "Please unmerge vlc-1.0.x first before installing ${P}"
194 aballier 1.11 eerror "If you don't do that, some plugins will get linked against"
195     eerror "the old ${PN} version and will not work."
196 aballier 1.23 die "Unmerge vlc 1.0.x first"
197 aballier 1.11 fi
198 aballier 1.1 vlc_use_needs skins truetype
199     vlc_use_force skins qt4
200     vlc_use_needs cddax cdio
201     vlc_use_needs vcdx cdio
202     vlc_use_needs vcdx vcdinfo
203     vlc_use_needs vcdinfo cdio
204     vlc_use_needs bidi truetype
205 pva 1.14 vlc_use_force remoteosd gcrypt
206 aballier 1.1 vlc_use_needs fontconfig truetype
207     vlc_use_needs libv4l2 v4l2
208 aballier 1.17 vlc_use_needs libtiger kate
209 aballier 1.1 use cddb && use !cdda && use !cddax && ewarn "USE=cddb requires either cdda or cddax, cddb will be disabled."
210 aballier 1.5 if use qt4 || use skins ; then
211     qt4_pkg_setup
212 aballier 1.1 else
213     ewarn "You have disabled the qt4 useflag, ${PN} will not have any"
214     ewarn "graphical interface. Maybe that is not what you want..."
215     fi
216     }
217    
218     src_unpack() {
219     unpack ${A}
220     if [ "${PV%9999}" != "${PV}" ] ; then
221     git_src_unpack
222     fi
223 aballier 1.22 }
224 aballier 1.1
225 aballier 1.22 src_prepare() {
226     if [ "${PV%9999}" != "${PV}" ] ; then
227     git_src_prepare
228     fi
229 aballier 1.1 # Make it build with libtool 1.5
230     rm -f m4/lt* m4/libtool.m4
231    
232     EPATCH_SUFFIX="patch" epatch "${WORKDIR}/patches"
233     AT_M4DIR="m4 ${WORKDIR}/${PN}-m4" eautoreconf
234     }
235    
236 aballier 1.22 src_configure() {
237 aballier 1.1
238     # It would fail if -fforce-addr is used due to too few registers...
239     use x86 && filter-flags -fforce-addr
240    
241     local MOZILLA_PC
242    
243     if use nsplugin; then
244     if use seamonkey; then
245     MOZILLA_PC=seamonkey-plugin
246     else
247     if has_version 'net-libs/xulrunner:1.9' ; then
248     MOZILLA_PC=libxul
249     else
250     MOZILLA_PC=xulrunner-plugin
251     fi
252     fi
253     fi
254    
255     econf \
256     $(use_enable a52) \
257     $(use_enable aalib aa) \
258     $(use_enable aac faad) \
259     $(use_enable alsa) \
260     $(use_enable altivec) \
261     --disable-asademux \
262     $(use_enable atmo) \
263     $(use_enable avahi bonjour) \
264     $(use_enable bidi fribidi) \
265     $(use_enable cdda vcd) \
266     $(use_enable cddax)\
267     $(use_enable cddb libcddb) \
268     $(use_enable cdio libcdio) \
269     $(use_enable dbus) $(use_enable dbus dbus-control) \
270     $(use_enable dirac) \
271     $(use_enable directfb) \
272     $(use_enable dc1394) \
273     $(use_enable debug) \
274     $(use_enable dts dca) \
275     $(use_enable dvb) \
276     $(use_enable dvd dvdread) $(use_enable dvd dvdnav) \
277     $(use_enable fbcon fb) \
278 aballier 1.10 $(use_enable ffmpeg avcodec) $(use_enable ffmpeg avformat) $(use_enable ffmpeg swscale) $(use_enable ffmpeg postproc) \
279 aballier 1.1 $(use_enable flac) \
280     $(use_enable fluidsynth) \
281     $(use_enable fontconfig) \
282     $(use_enable ggi) \
283     $(use_enable gnome gnomevfs) \
284     $(use_enable gnutls) \
285     $(use_enable hal) \
286     $(use_enable httpd) \
287     $(use_enable id3tag) \
288 aballier 1.18 $(use_enable ieee1394 dv) \
289 aballier 1.1 $(use_enable jack) \
290     $(use_enable kate) \
291     $(use_enable libass) \
292     $(use_enable libcaca caca) \
293 pva 1.14 $(use_enable gcrypt libgcrypt) \
294 aballier 1.1 $(use_enable libnotify notify) \
295 aballier 1.13 $(use_enable libproxy) \
296 aballier 1.1 --disable-libtar \
297 aballier 1.17 $(use_enable libtiger tiger) \
298 aballier 1.1 $(use_enable libsysfs) \
299     $(use_enable libv4l2) \
300     $(use_enable lirc) \
301     $(use_enable live live555) \
302     $(use_enable lua) \
303     $(use_enable matroska mkv) \
304     $(use_enable mmx) \
305     $(use_enable modplug mod) \
306     $(use_enable mp3 mad) \
307     $(use_enable mpeg libmpeg2) \
308     $(use_enable mtp) \
309     $(use_enable musepack mpc) \
310     $(use_enable ncurses) \
311     $(use_enable nsplugin mozilla) --with-mozilla-pkg="${MOZILLA_PC}" \
312     $(use_enable ogg) \
313 aballier 1.30 $(use_enable opengl glx) $(use_enable opengl) \
314 aballier 1.1 $(use_enable optimisememory optimize-memory) \
315     $(use_enable oss) \
316     $(use_enable pda) \
317     $(use_enable png) \
318     --disable-portaudio \
319 aballier 1.21 $(use_enable projectm) \
320 aballier 1.1 $(use_enable pulseaudio pulse) \
321     $(use_enable pvr) \
322     $(use_enable qt4) \
323     $(use_enable rtsp realrtsp) \
324     $(use_enable run-as-root) \
325     $(use_enable samba smb) \
326     $(use_enable schroedinger) \
327     $(use_enable sdl) \
328     $(use_enable sdl-image) \
329     $(use_enable shine) \
330     $(use_enable shout) \
331     $(use_enable skins skins2) \
332     $(use_enable speex) \
333     $(use_enable sse) \
334     $(use_enable stream sout) \
335     $(use_enable svg) \
336     $(use_enable svga svgalib) \
337     $(use_enable taglib) \
338     $(use_enable theora) \
339     $(use_enable truetype freetype) \
340     $(use_enable twolame) \
341     $(use_enable upnp) \
342     $(use_enable v4l) \
343     $(use_enable v4l2) \
344     $(use_enable vcdinfo) \
345     $(use_enable vcdx) \
346     $(use_enable vorbis) \
347     $(use_enable win32codecs loader) \
348     $(use_enable wma-fixed) \
349     $(use_enable X x11) $(use_enable X screen) \
350     $(use_enable x264) \
351 aballier 1.2 $(use_enable xcb) \
352 aballier 1.1 $(use_enable xml libxml2) \
353     $(use_enable xosd) \
354     $(use_enable xv xvideo) \
355     --disable-xvmc \
356 aballier 1.26 $(use_enable zvbi) $(use_enable !zvbi telx) \
357 aballier 1.1 --disable-snapshot \
358     --disable-growl \
359     --disable-optimizations \
360     --enable-fast-install \
361     $(vlc_use_enable_force vlm vlm sout) \
362     $(vlc_use_enable_force skins skins2 qt4) \
363 alexxy 1.15 $(vlc_use_enable_force remoteosd remoteosd libgcrypt)
364 aballier 1.1 }
365    
366     src_install() {
367     emake DESTDIR="${D}" install || die "make install failed"
368    
369     dodoc AUTHORS MAINTAINERS HACKING THANKS NEWS README \
370     doc/fortunes.txt doc/intf-cdda.txt doc/intf-vcd.txt
371    
372     rm -rf "${D}/usr/share/doc/vlc" \
373     "${D}"/usr/share/vlc/vlc{16x16,32x32,48x48,128x128}.{png,xpm,ico}
374    
375     if use nsplugin; then
376     dodir "/usr/$(get_libdir)/${PLUGINS_DIR}"
377     mv "${D}"/usr/$(get_libdir)/mozilla/plugins/* \
378     "${D}/usr/$(get_libdir)/${PLUGINS_DIR}/"
379     fi
380    
381     use skins || rm -rf "${D}/usr/share/vlc/skins2"
382    
383     for res in 16 32 48; do
384     insinto /usr/share/icons/hicolor/${res}x${res}/apps/
385     newins "${S}"/share/vlc${res}x${res}.png vlc.png
386     done
387     }

  ViewVC Help
Powered by ViewVC 1.1.20